=== debian/changelog ===
catgirl (2.0a-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Kavanagh <rak@debian.org>  Mon, 24 Jan 2022 12:41:19 -0500

catgirl (2.0-2) unstable; urgency=medium

  * Install README(7) as catgirl(7), uses 01_README_man_page.diff
  * Update copyright years

 -- Ryan Kavanagh <rak@debian.org>  Sun, 09 Jan 2022 14:01:56 -0500

catgirl (2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0

 -- Ryan Kavanagh <rak@debian.org>  Sun, 12 Dec 2021 17:51:49 -0500

catgirl (1.9a-1) unstable; urgency=medium

  * Initial release (Closes: #991191)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 02 Sep 2021 08:10:17 -0400
