=== debian/changelog ===
catgirl (2.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file
  * Refresh patches

 -- Ryan Kavanagh <rak@debian.org>  Sat, 26 Feb 2022 11:51:35 -0500
