=== debian/control ===
Source: catgirl
Section: net
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 libncurses-dev,
 libtls-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://git.causal.agency/catgirl/about/
Vcs-Browser: https://salsa.debian.org/debian/catgirl
Vcs-Git: https://salsa.debian.org/debian/catgirl.git
Rules-Requires-Root: no

Package: catgirl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 tmux,
Description: TLS-only terminal IRC client
 A minimal terminal IRC client with tab completion, split scrolling, nick
 colouring, topic diffing, and message filtering.
