=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://git.causal.agency/catgirl/ \
  snapshot/catgirl-([\d\.a-z]+)\.tar\.gz debian uupdate
