## catgirl 2.2

=== debian/changelog ===
catgirl (2.2-1build1) noble; urgency=high

  * No change rebuild against libtls28t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:00 +0200

catgirl (2.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update copyright years
  * Bump standards version to 4.6.2, no changes required

 -- Ryan Kavanagh <rak@debian.org>  Thu, 16 Nov 2023 11:03:47 -0500
