=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: catgirl
 Section: net
 Priority: optional
-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  libncurses-dev,
  libtls-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://git.causal.agency/catgirl/about/
 Vcs-Browser: https://salsa.debian.org/debian/catgirl
 Vcs-Git: https://salsa.debian.org/debian/catgirl.git
