=== debian/changelog ===
catgirl (2.2a-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.7.0, no changes required
  * transition pkg-config to pkgconf

 -- Ryan Kavanagh <rak@debian.org>  Fri, 20 Sep 2024 13:41:04 -0400
