=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: catgirl
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  libncurses-dev,
  libtls-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://git.causal.agency/catgirl/about/
 Vcs-Browser: https://salsa.debian.org/debian/catgirl
 Vcs-Git: https://salsa.debian.org/debian/catgirl.git
